#### TXT

#### Synopsis

    HELP:   Write a file text-oriented (mainly open world)
    TYPE:   OBJECT
    SYNTAX: TXT(NET.{},NAME/FILE='str'/STREAM/DUMMY,FALLOC(),SUPCTR,REMOVE,REMAIN,NOMKDIR,APPEND,FLUSH,ACSTIM=num,MODTIM=num/ORIGINAL,ATTRIB(),PREPRO[()...],POSTPRO/PSTPRO[()...])

#### Description

This object defines the text-oriented write operation for files. This method writes each data list entry as a text record with delimiter to the file. This method supposes that the data elements are text records and writes each record with the system specific delimiter (0x0A on UNIX, 0x0D0A on WINDOWS, 0x15 on USS) to a file.

The access method removes trailing whitespaces from each record by default. Additional You can activate the suppression of control and space character (except tabulators or blank) in the data.

To retain the modification time of the original file, the `modtime` parameter can be set to `ORIGINAL`.

#### Arguments

- `STRING: NAME/FILE='str'/STREAM/DUMMY - Name/URL of file to write [auto]`
  - `STREAM - Read from stdin or write to stdout`
  - `DUMMY - Read EOF or write nothing`
- `SWITCH: SUPCTR - Suppress control characters [FALSE]`
- `SWITCH: REMAIN - Remain existing files (don't overwrite) [FALSE]`
- `SWITCH: NOMKDIR - Don't create path if path not exists [FALSE]`
- `SWITCH: APPEND - Append data to this file [FALSE]`
- `SWITCH: FLUSH - Enforce flush in front of close file [FALSE]`
- `NUMBER: ACSTIM=num - Define the last access time for this file`
- `NUMBER: MODTIM=num/ORIGINAL - Define the last modification time for this file`
  - `ORIGINAL - Copy modification time from the original file`